slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPComputeFunction

Computes the function matrix T(lambda) that has been set with NEPSetFunction().

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPComputeFunction(NEP nep,PetscScalar lambda,Mat A,Mat B)

Collective

### Input Parameters

| nep | - the NEP context
| lambda | - the scalar argument

### Output Parameters

| A | - Function matrix
| B | - optional preconditioning matrix

### Notes

NEPComputeFunction() is typically used within nonlinear eigensolvers implementations, so most users would not generally call this routine themselves.

### See Also

NEPSetFunction(), NEPGetFunction()

### Level

developer

### Location

src/nep/interface/nepsolve.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages